Retrieve pricing list information

Get the extended info about the pricing list available for a partner, including the products and their pricing options, based on the pricing list code.

Request parameters

Parameter
Type / Description

sessionID

Required (string) Session identifier, which is the output of the Login method. An exception will be thrown if the values are incorrect

pricingListCode

Required (string) The unique identifier of the pricing list.

Request sample

<?php

require('PATH_TO_AUTH'); // Authentication example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/02Authentication
require('PATH_TO_setPartner'); // setPartner example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/06Reference/Partner/00Set_partner

$pricingListCode = 'YOUR_PRICING_LIST_CODE';

try {
    $PartnerPricingListInfo= $client->getPricingListInformation ($sessionID, $pricingListCode);
} catch (SoapFault $e) {
    echo "PricingLists: " . $e->getMessage();
    exit;
}
var_dump ("PricingLists", $PartnerPricingListInfo);

Response parameters

Parameter
Type

PricingList

Object

Errors

Error
Description

INVALID_PARTNER

No partner is set.

PARTNER_PRICING_LISTS_NOT_FOUND

There are no pricing lists with provided code.

chevron-rightNeed help?hashtag

Do you have a question? If you didn’t find the answer you are looking for in our documentation, you can contact our Supportarrow-up-right teams for more information. If you have a technical issue or question, please contact us. We are happy to help.

Get in toucharrow-up-right

chevron-rightNot yet a Verifone customer?hashtag

We’ll help you choose the right payment solution for your business, wherever you want to sell, in-person or online. Our team of experts will happily discuss your needs.

Contact salesarrow-up-right Get Startedarrow-up-right

Verifone logo

Last updated

Was this helpful?